This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 149286 - sendmail.postfix avc denied messages
sendmail.postfix avc denied messages
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-21 18:16 EST by Stephan Borg
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.21.15-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-05 02:49:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephan Borg 2005-02-21 18:16:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040808 Firefox/0.9.3

Description of problem:
Using postfix and squirrelmail, I have applied a number of changes as
suggested in previous bugs (140403, 143794 and 145561) - but now I get
one single error:

Feb 22 10:06:27 spectra kernel: audit(1109027187.731:0): avc:  denied
 { execute } for  pid=5482 exe=/usr/sbin/sendmail.postfix
name=postdrop dev=dm-3 ino=49362
scontext=user_u:system_r:system_mail_t
tcontext=system_u:object_r:sbin_t tclass=file

I've applied:
rpm -ql postfix | sudo /sbin/restorecon -R -v -f - | less
and all appears restored.

ls -lZ /usr/sbin/postdrop:
-rwxr-sr-x  root     postdrop system_u:object_r:sbin_t        
/usr/sbin/postdrop

Any other suggestions?

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Send a local email via squirrelmail
2.
3.
    

Actual Results:  Feb 22 10:06:27 spectra kernel:
audit(1109027187.731:0): avc:  denied  { execute } for  pid=5482
exe=/usr/sbin/sendmail.postfix name=postdrop dev=dm-3 ino=49362
scontext=user_u:system_r:system_mail_t
tcontext=system_u:object_r:sbin_t tclass=file

and email not sent.


Expected Results:  No error and email should be sent.

Additional info:
Comment 1 Stephan Borg 2005-02-21 18:27:39 EST
Also applied:
chcon -t system_mail_t /usr/sbin/postdrop
Comment 2 Daniel Walsh 2005-03-08 14:26:40 EST
Should be fixed by latest policy 

selinux-policy-targeted-1.21.15-5

Note You need to log in before you can comment on or make changes to this bug.